Gestiono
Referencia de APIAccounting / Project

Create Project

POST /v1/project • validated by `postProject`

← Back to full API reference
POST/v1/projectAuthentication required
  • Validated by Zod schema: postProject.

Request details

Path params

No path parameters for this endpoint.

Query params

No explicit query schema was captured for this endpoint.

Body fields

  • name (required)

    Type: string

  • description

    Type: string

  • divisionId (required)

    Type: number

  • beneficiaryId (required)

    Type: number

  • startDate

    Type: string

  • endDate

    Type: string

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "name": "string",
  "divisionId": 1,
  "beneficiaryId": 1
}

Sample response

json
{
  "projectId": "<projectId>"
}

Test this endpoint now

Use your own credentials and execute a live request directly from this page.

1. Configure authentication for testing

You can test endpoints with signed API keys, a raw Authorization token, or browser cookies. Select one mode and fill in the required fields.

2. Select endpoint

POST/v1/projectAuthentication required

Group: Accounting / Project

POST /v1/project • validated by `postProject`

  • Validated by Zod schema: postProject.

Body fields

  • namerequired
    Type: string
  • description
    Type: string
  • divisionIdrequired
    Type: number
  • beneficiaryIdrequired
    Type: number
  • startDate
    Type: string
  • endDate
    Type: string

3. Prepare request payload

4. Server response

Run a request to inspect the real-time response for your environment.